<div class="analytics" ng-click="" ><!--fetchRealTimeDataForAllZoneAndLane()-->
    <!--...... date bar ........-->
    <div class="lightGreyBack topSlider" ng-hide="analyticsSubTab=='2'">
        <date-slider slider-type="select" navigation="true" width="5" drop-down="true"
                     month-selected="month" year-selected="year"
                     callback-on-selection="vehicleAnalytics2"
          start-date="selectedDate"></date-slider>
    </div>
<!--{{selectedDate}}-->

    <ul class="dataTabs subNormal roboRegular">
        <!--<li ng-class="{active: currentNav('analyticsPeriod')}"><a href="#/analytics/analyticsPeriod">Analytics</a></li>-->
        <li  ng-class="{active: activeTerminal=='1'}" ng-click="setTerminalForRTDials(1)">Terminal 1 <span class="srtName">T1</span></li>
        <li  ng-class="{active: activeTerminal=='2'}" ng-click="setTerminalForRTDials(2)">Terminal 2  <span class="srtName">T2</span></li>
        <li  ng-class="{active: activeTerminal=='3'}" ng-click="setTerminalForRTDials(3)">Terminal 3  <span class="srtName">T3</span></li>
        <span class="clear"></span>

    </ul>

    <ul class="dataSubTabs small">
        <li ng-class="{active: analyticsSubTab=='1'}" ng-click="analyticsType(1)">Historical</li>
        <li ng-class="{active: analyticsSubTab=='2'}" ng-click="analyticsType(2)">Real time</li>
        <li ng-class="{active: analyticsSubTab=='3'}" ng-click="analyticsType(3)">Predictive</li>
    </ul>


    <div class="laneMapBox">
        <div id="laneMap" ng-controller="openLayerMap">
          <openlayers ol-center="center"  ol-view="view" class="full-screen">
            <ol-marker ng-repeat="camera in cameras" ol-marker-properties="camera" ></ol-marker>
            <ol-marker ng-repeat="notify in notificaion" ol-marker-properties="notify" ></ol-marker>
            <ol-layer  ol-layer-properties="layer" ng-repeat="layer in layers"></ol-layer>
          </openlayers>
        </div>
        <div class="mapLegend paddingLR marginTopShort">
            <div class="zoneMatLegend">
                <div class="legend midBlock">
                    <div class="circle midBlock los1"></div>
                    <div class="txt midBlock">LOS 0</div>
                </div>
                <div class="legend midBlock">
                    <div class="circle midBlock los2"></div>
                    <div class="txt midBlock">LOS 1</div>
                </div>
                <div class="legend midBlock">
                    <div class="circle midBlock los3"></div>
                    <div class="txt midBlock">LOS 2</div>
                </div>
                <div class="legend midBlock">
                    <div class="circle midBlock los4"></div>
                    <div class="txt midBlock">LOS 3</div>
                </div>
                <div class="legend midBlock">
                    <div class="circle midBlock los5"></div>
                    <div class="txt midBlock">LOS 4</div>
                </div>
            </div>
        </div>
    </div>


    <div class="currentDateBox" >
        <div class="dataBox">
            <div class="marginBtm">
                <div class="dropDown small round floatRight">
                    <div data-init="0" class="head lightGreyBack">
                        <div class="headTitle">{{realTimeGraphFeautures.dial.selectedDropdown.selectedRefreshTime}}</div>
                        <!--{{realTimeGraphFeautures.dial.selectedDropdown}}-->
                        <img class="sign" alt="down" src="images/downArrow.png">
                    </div>
                    <ul class="list" style="">
                        <!--<li >Now (Last 30 sec)</li>-->
                        <li ng-click="setSecondsForRealTimeData(30)">Now (30 sec)</li>
                        <li ng-click="setSecondsForRealTimeData(300)">5 minutes</li>
                        <li ng-click="setSecondsForRealTimeData(900)">15 minutes</li>
                        <li ng-click="setSecondsForRealTimeData(1800)">30 minutes</li>
                        <li ng-click="setSecondsForRealTimeData(3600)">1 Hour</li>
                    </ul>
                </div>
                <span class="clear"></span>
            </div>


            <div class="matricAnalytics" ng-class="{showPredictive: analyticsSubTab=='3'}">
                <ul>
                    <li class="lane wow bounceInRight" data-wow-duration="500ms" data-wow-delay="100ms">
                       <div class="losHeader">
                           <img src="images/losUp.png" alt="" class=" arrow">
                           <div class="txt">Level of Service</div>
                       </div>
                        <div class="content">
                            <div class="serviceNum" ng-class="losClass">{{RTGraph.los}}</div> <!--ng-class="RTGraph.losClass"-->
                        </div>
                    </li>
                    <li class="occupancy los2 wow bounceInRight" data-wow-duration="500ms" data-wow-delay="100ms">
                        <div class="iconMain">
                            <img src="images/occupancy.png" alt="">
                        </div>
                        <div class="content">
                            <div class="tag">Occupancy</div>
                            <div class="txt">
                                <span class="value">{{RTGraph.occupancy}}</span>
                                <span class="predictive">(+12)</span>
                                <div>%</div></div>
                        </div>
                    </li>
                    <li class="volume los3 wow bounceInRight" data-wow-duration="800ms" data-wow-delay="200ms">
                        <div class="iconMain">
                            <img src="images/volume.png" alt="">
                        </div>
                        <div class="content">
                            <div class="tag">{{realTimeGraphFeautures.flowName}}</div>
                            <div class="txt">
                                <span class="value">{{RTGraph.volume}}</span>
                                <span class="predictive">(+16)</span>
                                <div>{{realTimeGraphFeautures.dial.metrics.flow.units}}</div>
                                <!--<span ng-if="realTimeGraphFeautures.flowName=='Flow'">vh/hr</span></div>-->
                            </div>
                        </div>
                    </li>
                    <li class="speed los4 wow bounceInRight" data-wow-duration="800ms" data-wow-delay="300ms">
                        <div class="iconMain">
                            <img src="images/speed.png" alt="">
                        </div>
                        <div class="content">
                            <div class="tag">Speed</div>
                            <div class="txt">
                                <span class="value">{{RTGraph.speed}}</span>
                                <span class="predictive">(+5)</span>
                                <div>km/hr</div></div>
                        </div>
                    </li>
                    <li class="sh los5 wow bounceInRight" data-wow-duration="800ms" data-wow-delay="500ms">
                        <div class="iconMain">
                            <img src="images/speedheadway.png" alt="">
                        </div>
                        <div class="content">
                            <div class="tag">Space Headway</div>
                            <div class="txt">
                                <span class="value">{{RTGraph.spaceHeadway}}</span>
                                <span class="predictive">(+3)</span>
                                <div>Meters</div></div>
                        </div>
                    </li>
                    <li class="th los3 wow bounceInRight" data-wow-duration="800ms" data-wow-delay="600ms">
                        <div class="iconMain">
                            <img src="images/timeheadway.png" alt="">
                        </div>
                        <div class="content">
                            <div class="tag">Time Headway</div>
                            <div class="txt">
                                <span class="value">{{RTGraph.timeHeadway}}</span>
                                <span class="predictive">(+30)</span>
                                <div>second</div></div>
                        </div>
                    </li>
                    <span class="clear"></span>
                </ul>
                <div class="dataMsg" ng-show="realTimeGraphFeautures.dial.loader"></div>
            </div>
        </div>

        <div class="currentGraph marginBtm paddingBtm">
            <div class="graphControl">
                <div class="dropDown small  round midBlock marginRgt">
                    <div data-init="0" class="head lightGreyBack">
                        <div class="headTitle">{{realTimeGraphFeautures.laneGraphChart.selectedDropdown.selectedZone}}</div>
                        <img class="sign" alt="down" src="images/downArrow.png">
                    </div>
                    <ul class="list" style="">
                        <li ng-click="setZoneOfVehicleAnalyticsDataForRealTimeGraph(1)">Zone 1</li>
                        <li ng-click="setZoneOfVehicleAnalyticsDataForRealTimeGraph(2)">Zone 2</li>
                        <li ng-click="setZoneOfVehicleAnalyticsDataForRealTimeGraph(3)">Zone 3</li>
                    </ul>
                </div>
                <div class="dropDown small midBlock round marginRgt">
                    <div data-init="0" class="head lightGreyBack">
                        <div class="headTitle">{{realTimeGraphFeautures.laneGraphChart.selectedDropdown.selectedType}}</div>
                        <img class="sign" alt="down" src="images/downArrow.png">
                    </div>
                    <ul class="list" style="">
                        <!-- <li ng-click="test()">volume</li>-->
                        <!--<li ng-click="setTypeOfVehicleAnalyticsDataForRealTimeGraph('volume')">volume</li>-->
                        <!--<li ng-click="setTypeOfVehicleAnalyticsDataForRealTimeGraph('occupancy')">Occupancy</li>-->
                        <li ng-click="setTypeOfVehicleAnalyticsDataForRealTimeGraph('speed')">Speed</li>
                        <li ng-click="setTypeOfVehicleAnalyticsDataForRealTimeGraph('occupancy')">Occupancy</li>
                        <li ng-click="setTypeOfVehicleAnalyticsDataForRealTimeGraph('spaceHeadway')">Space Headway</li>
                        <li ng-click="setTypeOfVehicleAnalyticsDataForRealTimeGraph('timeHeadway')">Time Headway</li>
                    </ul>
                </div>
              <div class="dropDown small midBlock round">
                <div data-init="0" class="head lightGreyBack">
                  <div class="headTitle">Real-Time Data</div>
                  <img class="sign" alt="down" src="images/downArrow.png">
                </div>
                <ul class="list" style="">
                  <li ng-click="historicalLaneWiseData(59)">1 hour</li>
                  <li ng-click="historicalLaneWiseData(29)">30 Minutes</li>
                  <li ng-click="historicalLaneWiseData(14)">15 Minutes</li>
                  <li ng-click="startRealTime()">Real-Time Data</li>
                </ul>
              </div>
                <div class="dropDown small midBlock round">
                    <div data-init="0" class="head lightGreyBack">
                        <div class="headTitle">{{realTimeGraphFeautures.graphTypeSelected}}</div>
                        <img class="sign" alt="down" src="images/downArrow.png">
                    </div>
                    <ul class="list" style="">
                        <li ng-click="chartTypeUpdate('areaspline','.currentGraph','.areaSpline');setGraphName('Area Spline')">Area Spline</li>
                        <li ng-click="chartTypeUpdate('column','.currentGraph','.areaSpline');setGraphName('Column')">Column</li>
                        <li ng-click="chartTypeUpdate('spline','.currentGraph','.areaSpline');setGraphName('Spline')">Spline</li>
                        <li ng-click="chartTypeUpdate('area','.currentGraph','.areaSpline');setGraphName('Spark Line')">Spark Line</li>
                    </ul>
                </div>
                <span class="clear"></span>
            </div>

            <!--added lengend for graph-->
            <div class="graphBox">
                <area-spline x="xAxis" y="yAxis" legend="true" xlabel="true" ylabel="true" grid="1" id="realTimeChartGraph"></area-spline>
                <div class="dataMsg" ng-show="realTimeGraphFeautures.historicalGraphDetails.loader"></div>
                <!--<div class="txt midBlock" style="float:right;font-size: 10px">1 Minute Average Data Refreshed Every 5 Sec</div>-->
                <span class="clear"></span>
            </div>
        </div>
    </div>

    <!--<div class="" ui-view></div>-->


</div>
